body {
    font-family: Arial, sans-serif;
    background-color: #f0f0f0;
}

header {
    background-color: #333;
    color: #fff;
    padding: 20px;
    text-align: center;
}

.pokedex {
    width: 300px;
    margin: 40px auto;
    background-color: #fff;
    border: 1px solid #ddd;
    border-radius: 10px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
}

.pokedex-screen {
    padding: 20px;
}

.pokemon-info {
    margin-bottom: 20px;
}

.pokemon-info h2 {
    font-size: 24px;
    margin-bottom: 10px;
}

.pokemon-info p {
    font-size: 16px;
    color: #666;
}

#pokemon-image {
    width: 100%;
    height: 150px;
    object-fit: cover;
    border-radius: 10px;
}

.pokedex-controls {
    padding: 20px;
    text-align: center;
}

button {
    background-color: #333;
    color: #fff;
    border: none;
    padding: 10px 20px;
    font-size: 16px;
    cursor: pointer;
}

button:hover {
    background-color: #444;
}

.pokedex-filter {
    padding: 20px;
    text-align: center;
}

#pokemon-filter {
    padding: 10px 20px;
    font-size: 16px;
}

.poke-container {
    display: flex;
    flex-wrap: wrap;
    align-items: space-between;
    justify-content: center;
    margin: 0 auto;
    max-width: 1200px;
}

.pokemon {
    background-color: #eee;
    border-radius: 10px;
    box-shadow: 0 3px 15px rgba(100, 100, 100, 0.5);
    margin: 10px;
    padding: 20px;
    text-align: center;
}

.pokemon .img-container {
    background-color: rgba(255, 255, 255, 0.6);
    border-radius: 50%;
    width: 120px;
    height: 120px;
    text-align: center;
}

.pokemon .img-container img {
    max-width: 90%;
    margin-top: 20px;
}

.pokemon .info {
    margin-top: 20px;
}

.pokemon .info .number {
    background-color: rgba(0, 0, 0, 0.1);
    padding: 5px 10px;
    border-radius: 10px;
    font-size: 0.8em;
}

.pokemon .info .name {
    margin: 15px 0 7px;
    letter-spacing: 1px;
}

.search-bar {
    padding: 20px;
    text-align: center;
}

#search-input {
    padding: 10px;
    font-size: 16px;
    border: none;
    border-radius: 10px;
    width: 50%;
}

#search-button {
    padding: 10px;
    font-size: 16px;
    border: none;
    border-radius: 10px;
    background-color: #333;
    color: #fff;
    cursor: pointer;
}

#search-button:hover {
    background-color: #444;
}